/**++
 *   
 *   LICENSE
 *   -------
 *   
 *   Copyright (c) 2004 Renato Mancuso
 *   All rights reserved.
 *   
 *   Redistribution and use in source and binary forms, with or without modification, are 
 *   permitted provided that the following conditions are met:
 *   
 *   - Redistributions of source code must retain the above copyright notice, this list 
 *     of conditions and the following disclaimer.
 *   
 *   - Redistributions in binary form must reproduce the above copyright notice, this list
 *     of conditions and the following disclaimer in the documentation and/or other materials 
 *     provided with the distribution.
 *   
 *   - Neither the name of Renato Mancuso nor the names of its contributors may be used to 
 *     endorse or promote products derived from this software without specific prior written 
 *     permission.
 *   
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS 
 *   OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *   AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
 *   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 *   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 *   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 *   IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 *   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *   
--**/


#ifndef OPEN_EMBL_FIELD_CODES_INCLUDED
#define OPEN_EMBL_FIELD_CODES_INCLUDED

#if !defined(OPEN_EMBL_NO_PRAGMA_ONCE)
#pragma once
#endif

//
// field codes
//
#define EMBL_SPACER_LINE            "SPACER"
#define EMBL_COMMENT_LINE           "COMMENT"
#define EMBL_XREF_LINE              "XREF"
#define EMBL_PUBLICATION_LINE       "PUB"
#define EMBL_TAXONOMY_LINE          "TAX"
#define EMBL_ID_LINE                "ID"
#define EMBL_AC_LINE                "AC"
#define EMBL_SV_LINE                "SV"
#define EMBL_DE_LINE                "DE"
#define EMBL_DT_LINE                "DT"
#define EMBL_KW_LINE                "KW"
#define EMBL_SQ_LINE                "SQ"    
#define EMBL_SEQUENCE_LINE          "SEQUENCE"
#define EMBL_FEATURE_HEADER_LINE    "FH"
#define EMBL_FEATURE_LINE           "FT"
#define EMBL_CO_LINE                "CO"
#define EMBL_ASSEMBLY_HEADER_LINE   "AH"
#define EMBL_ASSEMBLY_INFO_LINE     "AS"
#define EMBL_GP_INFO_LINE           "AC*"

#endif // OPEN_EMBL_FIELD_CODES_INCLUDED
