/**++
 *   
 *   LICENSE
 *   -------
 *   
 *   Copyright (c) 2004 Renato Mancuso
 *   All rights reserved.
 *   
 *   Redistribution and use in source and binary forms, with or without modification, are 
 *   permitted provided that the following conditions are met:
 *   
 *   - Redistributions of source code must retain the above copyright notice, this list 
 *     of conditions and the following disclaimer.
 *   
 *   - Redistributions in binary form must reproduce the above copyright notice, this list
 *     of conditions and the following disclaimer in the documentation and/or other materials 
 *     provided with the distribution.
 *   
 *   - Neither the name of Renato Mancuso nor the names of its contributors may be used to 
 *     endorse or promote products derived from this software without specific prior written 
 *     permission.
 *   
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS AS IS AND ANY EXPRESS 
 *   OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
 *   AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
 *   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
 *   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
 *   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
 *   IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 *   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *   
--**/


#include "ParserWarningInfo.hpp"

#include <cstdlib>
#include <cstring>
#include <cassert>

#include "WarningSeverity.hpp"

namespace OpenEMBL
{
namespace Phoenix
{

#undef PARSER_WARNING
#define PARSER_WARNING(code, symb, severity, description) \
    { code, severity, description },

    /* class static*/
    WarningInfo ParserWarningInfo::ms_WarningInfo[] = 
    {
#include "ParserWarnings.inc"    
        { 0, 0, NULL }
    };

#undef PARSER_WARNING

    bool ParserWarningInfo::lookup(int theWarning, WarningInfo & theWarningInfo) const
    {
        assert(0 != theWarning);

        for (int i = 0; ; ++i)
        {
            if (0 == ms_WarningInfo[i].Number)
                break;

            if (theWarning == ms_WarningInfo[i].Number)
            {
                theWarningInfo = ms_WarningInfo[i];
                return true;
            }
        }

        return false;
    }

}
}

